Contents

# Mathematical Functions

Akaakuun kun faankishinii Herreegaa calc of keessaa qaba. Masaka Faankishinii banuuf, Saagi - Faankishinii fili.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## SUM

Adds a set of numbers.

## HOUR

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## SUMIFS

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Gatii of danda'aa lakkoofsaa deebisa.

#### Syntax

ABS(Lakkoofsa)

Lakkoofsi lakkoofsa gatiin of danda'aan isaa shallagamuudha.Lakkoofsi gatii of danda'aan gatii mallattoo +/- ala qabaatudha.

#### Example

=ABS(-56)56 deebisa.

=ABS(12) deebisa.

=ABS(0) 0 deebisa.

## ACOS

Garagalcha cosine tiriginomeetirii lakkoofsaa deebisa.

#### Syntax

ACOS(Lakkoofsa)

Faankishiniin kun cosine tiriginomeetirii lakkoofsaa,kan kofaa(raadiyaanidhaan)kan cosine isaa lakkoofsa ta'e.Kofti deebi'u 0 fi PI gidduudha.

Kofa deegridhaan deebisuuf,faankishinii DEGREE fayyadamaa.

#### Example

=ACOS(-1) 3.14159265358979 deebisa(PI raadiyaanidhaan)

=DEGREES(ACOS(0.5)) 60 deebisa.Cosine 60 0.5 ta'a.

## ACOSH

Kosaayinii haayperpoolikii lakkoofsaa deebisa.

#### Syntax

ACOSH(Lakkoofsa)

Faankishiniin kun garagalcha cosine haayperpoolikii Lakkoofsaadeebisa,lakkoofsi sun cosine haayperpoolikiin isaa lakkoofsa ta'eedha.

Lakkoofsa dirqama 1 waliin walqixa ykn caaluu qaba.

#### Example

=ACOSH(1) 0 deebisa.

=ACOSH(COSH(4)) 4 deebisa.

## ACOT

Garagaltoo cotangent (the arccotangent) lakkoofsa kennamee deebisa.

#### Syntax

ACOT(Lakkoofsa)

Faankishiniin kun garagaltoo cotangent tiriiginoomeetirii Number,kan kofti(raadiyaanidhaan) cotangent isaa lakkoofsa ta'e deebisa.Kofti deebi'u 0 fi PI gidduudha.

Kofa deegridhaan deebisuuf,faankishinii DEGREE fayyadamaa.

#### Example

=ACOT(1) 0.785398163397448 (PI/4 raadiyaanii)deebisa.

=DEGREES(ACOT(1)) 45 deebisa.Tangent tiin diigrii 45 1.

## ACOTH

Garagaltoo cotangentii haayperpoolokii lakkoofsa kennamee deebisa.

#### Syntax

ACOTH(Lakkoofsa)

Faankishiniin kun garagaltoo cotangentii lakkoofsa kennamee deebisa, sunis lakkoofsa kan cotangentii haayperbooliikii lakkoofsa ta'eedha.

Yoo lakkoofsi -1 fi 1 dabalee gidduu kana ta'e dogogorri ni uumama.

#### Example

=ACOTH(1.1) Garagalcha cotangentii haayperpoolikii 1.1,tilmaamaan 1.52226 deebisa.

## ASIN

Garagaltoo sine tirignoomeetirii lakkoofsaa deebisa.

#### Syntax

ASIN(Lakkoofsa)

Faankishiniin kun garagaltoo sine tiriignoomeetirii Lakkoofsaa,sine kofti isaa lakkoofsaan ta'e deebisa.Kofti deebiu -PI/2 fi +PI/2 gidduu jira.

Kofa deegridhaan deebisuuf,faankishinii DEGREE fayyadamaa.

#### Example

=ASIN(0) 0 deebisa. returns 0.

=ASIN(1) 1.5707963267949 (PI/2 raadiyaanidhaan)deebisa.

=DEGREES(ASIN(0.5)) 30 deebisa.Sine diigrii 30 0.5 ta'a.

## ASINH

Garagaltoo sine haayperpoolikii lakkoofsaa deebisa.

#### Syntax

ASINH(Lakkoofsa)

Faankishiniin kun garagaltoo sine haayperpoolikii Lakkoofsaa,lakkoofsa sine haayperpoolikii isaa lakkoofsa deebisa.

#### Example

=ASINH(-90) tilmaamaan -5.1929877 deebisa.

=ASINH(SINH(4)) 4 deebisa.

## ATAN

Garagaltoo tangentii tiriignoomeetirii lakkoofsaa deebisa.

#### Syntax

ATAN(Lakkoofsa)

Faankishiniin kun garagaltoo tangentii tiriignoomeetirii Lakkoofsaa,tangentii kofti isaa lakkoofsaan ta'e deebisa.Kofti deebiu -PI/2 fi +PI/2 gidduu jira.

Kofa deegridhaan deebisuuf,faankishinii DEGREE fayyadamaa.

#### Example

=ATAN(1) 0.785398163397448 (PI/4 raadiyaanii)deebisa.

=DEGREES(ATAN(1)) 45 deebisa.Tangentiin deegrii 45 1 ta'a.

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

ATAN2(LakkoofsaX; LakkoofsaY)

NumberX is the value of the x coordinate.

LakkoofsaY gatii coordineetii y ta'a.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

#### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## ATANH

Garagaltoo tangentii tiriignoomeetirii lakkoofsaa deebisa.

#### Syntax

ATANH(Lakkoofsa)

Faankishiniin kun garagaltoo tangentii tiriignoomeetirii Lakkoofsaa,kana jechuun lakkoofsa tangentiin haayperpoolikiin isaanii lakkoofsa ta'e deebisa jechuudha.

Lakkoofsi haala -1 < lakkoofsa < 1 kana dirqama fudhachuu qaba.

#### Example

=ATANH(0) 0 deebisa.

## COMBIN

lakkoofsa makaa tuutaaf osoo irra hin deebi'ini deebisa.

#### Syntax

COMBIN(Lakkaawwii1; Lakkaawwii2)

Lakkaawwiin1 lakkoofsa maalimaa tuutaa keessati.

Lakkaawwii2 lakkoofsa maalimaa tuuta irraa filamuudha.

COMBIN lakkoofsa karaa maamila filachuuf ta'u deebisa. Fakkeenyaaf, yoo maalimoonni 3 A, B fi C tuuta keessa jiraatan, maalimoota 2 karaa adda addaa 3 filachuu dandeessa, isaanis AB, AC fi BC dha.

COMBIN foormulaa hojjoomuu: lakkaawwii1!/(lakkaawwii2!*(lakkaawwii1-lakkaawwii2)!)

#### Example

=COMBIN(3;2) 3 deebisa.

## COMBINA

Lakkoofsa makaa maalimaa cita tuutaa irra deebii dabalatee deebisa.

#### Syntax

COMBINA(Lakkaawwii1;Lakkaawwii2)

Lakkaawwiin1 lakkoofsa maalimaa tuutaa keessati.

Lakkaawwii2 lakkoofsa maalimaa tuuta irraa filamuudha.

COMBINA lakkoofsa karaa maalimoota kana filatu, iddoo tartiibni filachuu barbaachisu deebisa, achiin irradeebiin maalimoota ni eyyamama. Fakkeenyaf, yoo maalimoonni 3 A, B fi Cn tuuta keessa jiratan, maalimoota 2 karaa adda addaa 6 filachuu dandeessa, isaanis AB, BA, AC, CA, BC fi CB dha.

COMBINA foormulaa hojjoomuu: (lakkaawwii1+lakkaawwii2-1)! /(lakkaawwii2! (lakkaawwii1-1)!)

#### Example

=COMBINA(3;2) 6 deebisa.

## CONVERT_OOO

Converts to euros a currency value expressed in one of the legacy currencies of 19 member states of the Eurozone, and vice versa. The conversion uses the fixed exchange rates at which the legacy currencies entered the euro.

We recommend using the more flexible EUROCONVERT function for converting between these currencies. CONVERT_OOO is not a standardized function and is not portable.

#### Syntax

CONVERT_OOO(Value; "Text1"; "Text2")

Value is the amount of the currency to be converted.

Text1 is a three-character string that specifies the currency to be converted from.

Text2 is a three-character string that specifies the currency to be converted to.

Text1 and Text2 must each take one of the following values: "ATS", "BEF", "CYP", "DEM", "EEK", "ESP", "EUR", "FIM", "FRF", "GRD", "IEP", "ITL", "LTL", "LUF", "LVL", "MTL", "NLG", "PTE", "SIT", and "SKK".

One, and only one, of Text1 or Text2 must be equal to "EUR".

#### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the euro value of 100 Austrian schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 euros into German marks.

Refer to the CONVERT_OOO wiki page for more details about this function.

## COS

Cosine kofa kennamee deebisa.

#### Syntax

COS(Lakkoofsa)

Cosine tiriignoomeetiriilakkoofsaa,kofa raadiyaanidhaan deebisa.

Cosine kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

#### Example

=COS(PI()/2) 0 deebisa,cosine PI/2 raadiyaanidhaani.

=COS(RADIANS(60)) cosine diigrii 60,0.5 deebisa.

## COSH

Cosine haayiperpoolikii lakkoofsaa deebisa.

#### Syntax

COSH(Lakkoofsa)

Cosine haayperpoolikii lakkoofsaadeebisa.

#### Example

=COSH(0) haayiperpoolikii zero 1 deebisa.

## COT

Kotaanjantii kofa(raadiyaanidhaan) kennamee deebisa.

#### Syntax

COT(Lakkoofsa)

Kotaanjantii Lakkoofsaa, kofa raadiyaanidhaan deebisa.

Kootaanjantii kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

Kootaanjantiin kofaa 1 kan taanjantiidhaan hirameen walqixa.

### Fakkeenya

=COT(PI()/4) kootaanjantii PI/4 raadiyaaniidhaaf,1 deebisa.

=COT(RADIANS(45)) kootaanjantii diigrii 45,1 deebisa.

## COTH

Kootaanjantii haayperpoolikii lakkoofsa (kofaan)kennamee deebisa

#### Syntax

COTH(Lakkoofsa)

Kootaanjantii haayiperpoolikii Lakkoofsaa deebisa.

#### Example

=COTH(1) Kootaanjanii haayiperpoolikii 1,tilmaamaan 1.3130 deebisa.

## CSC

Returns the cosecant of the given angle (in radians). The cosecant of an angle is equivalent to 1 divided by the sine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Lakkoofsa)

Cosine tiriignoomeetiriilakkoofsaa,kofa raadiyaanidhaan deebisa.

Cosine kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

#### Example

=CSC(PI()/4) returns approximately 1.4142135624, the inverse of the sine of PI/4 radians.

=COS(RADIANS(60)) cosine diigrii 60,0.5 deebisa.

## CSCH

Cosine haayiperpoolikii lakkoofsaa deebisa.

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Lakkoofsa)

Cosine haayperpoolikii lakkoofsaadeebisa.

#### Example

=CSCH(1) returns approximately 0.8509181282, the hyperbolic cosecant of 1.

## DEGREES

Raadiyaanii gara diigriitti jijjiira.

#### Syntax

DEGREES(Lakkoofsa)

Lakkoofsi kofa raadiyaanii gara diigriitti jijjiiramuudha.

#### Example

=DEGREES(PI()) diigrii 180 deebisa.

## EUROCONVERT

Mahaalaqa biyyoolessaEroopiyaani durii gidduu jijjiiruu fi gara Euroosii fi Euroosii irraa.

#### Syntax

EUROCONVERT(Value; "From_currency"; "To_currency" [; full_precision [; triangulation_precision]])

Gatiin hamma maallaqaa jijjiiramuudha.

Maallaqa_irraa fiGara_maallaqaa safartuu maallaqa itti fi irraa duraa duuban jijjiiramuudha. Kuni dirqama barruu ta'uu qaba, maallaqaaf kontooffachiifni beekamaan (fakkeenyaaf "EURO"). Maakkiin (EURO tokkoon kan ilaalame) koomishinii yuuroopitiin qindaa'e.

Sirrummaa_guutuun dirqala. Yoo dhiisame ykn Soba ta'e, bu'aan isaa akka Gara maallaqaatti gara lakkurnyeetti buutama. Yoo Sirrummaa_guutuun Dhugaa ta'e, deebiin walitti hin buutamu.

Sirrummaa_garsadeeffamaan dirqala. Yoo sirrummaan_garsadeeffamaa kennamee fi >=3, bu'aan gidduu jijjiirraa garsadee (maallaqaa1,EUR,maallaqaa2) gara sirrummaatti buutama. Yoo sirrummaan_garsadeeffamaa dhiifame,bu'aan gidduu hin buutamu. Akkasumas Gara maallaqaatti "EUR" ta'e, sirrummaan_garsadeeffamaa akka garsadeeffamaa barbaadameetti fayyada fi jijjiirraan EUR gara EUR hojii irra oola.

### Fakkeenyota

=EUROCONVERT(100;"ATS";"EUR") Shilingii awustiraaliyaa 100 gara Uurootti jiijjira.

=EUROCONVERT(100;"EUR";"DEM")Uuroo 100 gara Maarkisii Jaarmaniitti jijjiira.

## EVEN

Lakkoofsa positiivii hanga intijarii guutuu itti aanuuttii fi lakkoofsa negatiivii gadi gara intijarii guutuu itti aanuutti siqsa.

#### Syntax

EVEN(Lakkoofsa)

Lakkoofsagara intijarii guutuutti ol,zero irraa deebisa.

#### Example

=EVEN(2.3) 4 deebisa.

=EVEN(2) 2 deebisa.

=EVEN(0) 0 deebisa.

=EVEN(-0.5) -2 deebisa.

## EXP

Returns e raised to the power of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

EXP(Lakkoofsa)

Lakkoofsi paaworii e ittiin ka'uudha.

#### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

## FACT

Faaktooriyaalii lakkoofsaa deebisa.

#### Syntax

FACT(Lakkoofsaa)

Lakkoofsa deebisa!, faaktooriyaaliin lakkoofsaa, akka lakkoofsa 1*2*3*4* ... * shallagama.

=FACT(0) akka hiikaatti 1 deebisa.

Faaktooriyaaniin lakkoofsa negatiivii"qoccolloo fashalaawaa" dogogora deebisa.

#### Example

=FACT(3) 6 deebisa.

=FACT(0) 1 deebisa.

## GCD

Hirmaataa walii guddicha kan intijaroota lamaa ykn lamaa ol ta'an deebisa.

Hirmaataa walii guddichi intijarii posotiivii guddicha kan intijaroota kennaman hundaa haftee malee hiraniidha.

#### Syntax

GCD(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1, Integer 2, … , Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=GCD(16;32;24) firii 8 kenna,sababiin isaas 8 lakkoofsa guddaa kan 16, 24 fi 32 haftee malee hiruu danda'uudha.

=HWG(B1:B3) iddoo man'eewwan B1, B2, B3 9, 12 of keessaa qabaniidha , 93 kenna.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

GCD_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## INT

Lakkoofsa gara intijajii itti aanutti gadi siiqsa.

#### Syntax

INT(Lakkoofsa)

Lakkoofsagara intijarii gadi siqeetti deebisa.

Lakkoofsonni negatiifiin gara negatiivii gadiitti siqa.

#### Example

=INT(5.7) 5 deebisa.

=INT(-1.3)-2 deebisa.

## LCM

Hirmaataa walii guddicha kan intijaroota lamaa ykn lamaa ol ta'an deebisa.

#### Syntax

LCM(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1, Integer 2, … , Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 512; 1024 and 2000 as Integer 1;2 and 3, then 128000 will be returned.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

LCM_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Lakkoofsa dhaabataa e irratti hundaa'udhaan logaarizimii uumamaa deebisa. e dhaabataa tilmaamaa gatii 2.71828182845904 qaba.

#### Syntax

LN(Lakkoofsa)

Lakkoofsi gatii logaarizimiin uumamaa shallagamuudha.

#### Example

=LN(3) logaarizimii uumaamaa kan 3 tilmaamaan 1.0986 ta'a.

=LN(EXP(321))321 deebisa.

## LOG

Logaarizimii lakkoofsaa gara beezii beekamaatti deebisa.

#### Syntax

LOG(Number [; Base])

Lakkoofsi gatii logaarizimiin uumamaa shallagamuudha.

Beeziin beezii logaariizimii shallaguudhaaf ta'uudha. Yoo dhiifame, Baazii 10 yaadama.

#### Example

=LOG(10;3) logaariizimii gara beezii 3 kan 10 (tilmaamaan 2.0959) deebisa.

=LOG(7^4;7) 4 deebsa.

## LOG10

lakkoofsaa logaarizimii beezii-10 deebisa.

#### Syntax

LOG10(Lakkoofsa)

Logaarizimii gara lakkoofsa beezii-10 ti deebisa.

#### Example

=LOG10(5) logaarizimii 5 beezii-10 tilmaamaan 0.69897 deebisa.

## MOD

Yeroo intijariin tokko isa biraatiif hiramu haftee deebisa.

#### Syntax

MOD(Hiramaa; Jaloo)

Qocolloo intijariitiif faankishiniin kun hiraa mooduuloo hiramaa deebisa,sun haftee yeroo Hiramaan Hiraadhaanhiramuudha.

Faankishiniin kun akka Hiramaa- Hiraa * INT(Hiramaa/Hiraa)

#### Example

=MOD(22;3)yeroo 22 lakkoofsa 3 hirame hafte 1 deebisa.

=MOD(11.25;2.5) 1.25 deebisa.

## MROUND

Returns a number rounded to the nearest multiple of another number.

#### Syntax

MROUND(Lakkoofsa; Qooyyaboota)

Lakkoofsa gara baay'ataa kanBaay'ataa siiqfame deebisa.

Raawwiin karaa biraa ta'uu qabu Multiple * ROUND(Lakkoofsa/Baay'ataa).

#### Example

=MROUND(15.5;3) 15 akka 15.5 tti deebisa 15(3*5) 18(=3*6) caalaa baay'ee dhiyoodha.

=MROUND(1.4;0.5) 1.5 (= 0.5*3) deebisa.

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

#### Syntax

MULTINOMIAL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=MULTINOMIAL(F11:H11) Yoo F11 haga H11 gatii 2, 3 fi 4 of keessaa qabaate 1260 deebisa.Kuni foormulaa =(2+3+4)! / (2!*3!*4!) waliin walgita.

## ODD

Lakkoofsa positiivii hanga intijarii qaraa itti aanuuttii fi lakkoofsa negatiivii gadi gara intijarii qaraa itti aanuutti siqsa.

#### Syntax

ODD(Lakkoofsa)

Lakkoofsa gara intijarii qaraa oliitti, zeeroo irraa deebisa.

#### Example

=ODD(1.2) 3 deebisa.

=ODD(1) 1 deebisa.

=ODD(0) 1 deebisa.

=ODD(-3.1) -5 deebisa.

## PI

Gatii herreegaa dhaabataa PI gara iddoo deesimaalaa 3.14159265358979 deebisa.

#### Syntax

PI()

#### Example

=PI() 3.14159265358979 deebisa.

## POWER

Lakkoofsa gara pooworiitti ol ka'e deebisa.

#### Syntax

POWER(Base; Exponent)

Beeziigara pooworii pooworiitti ol ka'e deebisa.

Exponeesheeshinii opereetaraa fayyadamuudhaan firiin walfakkaatu ni argama^:

Beerii^Paaworii

=POWER(0,0) returns 1.

#### Example

=POOWORIIN(4;3) 64 deebisa,kunis 4 pooworii 3 ta'a.

=4^3 akkasumas 4 pooworii 3 deebisa.

## PRODUCT

Lakkoofsota hundaa akka qocollootti kennaman baay'isuu fi firii deebisa.

#### Syntax

PRODUCT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=PRODUCT(2;3;4) 24 deebisa.

## QUOTIENT

Intijarii qaama hiruu ta'e deebisa.

#### Syntax

QUOTIENT(Irrayyee; Jaloo)

Intijarii qaama Irrayyee jaloodhaanhirame deebisa.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

#### Example

=QUOTIENT(11;3) 3 deebisa.Hafteen 2 ni bada.

## RADIANS

diigrii gara raadiyaanitti jijjiira.

#### Syntax

RADIANS(Lakkoofsa)

Lakkoofsi kofa diigrii kan raadiyaanitti jijjiiramuudha.

#### Example

=RADIANS(90) 1.5707963267949, kan PI/2 gara Calc akkureesiitti deebisa.

## RAND

Lakkoofsa tasaa 0 fi 1 gidduu jiru deebisa.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RAND()

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, either:

- Copy cells each containing =RAND(), and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

- Use the Fill Cell command with random numbers (Sheet - Fill Cells - Fill Random Numbers).

- Use the RAND.NV() function for non-volatile random numbers.

#### Example

=RAND() returns a random number between 0 and 1.

## RAND.NV

Returns a non-volatile random number between 0 and 1.

#### Syntax

RAND.NV()

This function produces a non-volatile random number on input. A non-volatile function is not recalculated at new input events. The function does not recalculate when pressing F9, except when the cursor is on the cell containing the function or using the Recalculate Hard command (Shift+Command Ctrl+F9). The function is recalculated when opening the file.

#### Example

=RAND.NV() returns a non-volatile random number between 0 and 1.

#### Technical information

This function is available since LibreOffice 7.0.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RAND.NV

## RANDBETWEEN

Lakkoofsa tasaa intijarii hammanga adda ba'e keessa jiru deebisa.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RANDBETWEEN(Gubbaa; Jala)

Lakkoofsa tasaa intijarii intijaroota jidduudhaaJala fi Gubbaa (lachuu dabalatee).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Lakkoofsota tasaa kan gongumaa deebi'ee hin shallagamne, man'eewwan faankishinii kana qaban garagalchuu, fi Gulaaluu-maxxansuu addaa (maxxansa Hundaa wajjinfiFoormulaawwan hin mallattoofne fi Lakkoofsota mallattaa'e fayyadami).

#### Example

=RANDBETWEEN(20;30) intijarii 20 fi 30 gidduu jiru deebisa

## RANDBETWEEN.NV

Returns an non-volatile integer random number in a specified range.

#### Syntax

RANDBETWEEN.NV(Bottom; Top)

Returns an non-volatile integer random number between integers Bottom and Top (both inclusive). A non-volatile function is not recalculated at new input events or pressing F9. However, the function is recalculated when pressing F9 with the cursor on the cell containing the function, when opening the file, when using the Recalculate Hard command (Shift+Command Ctrl+F9) and when Top or Bottom are recalculated.

#### Example

=RANDBETWEEN.NV(20;30) returns a non-volatile integer between 20 and 30.

=RANDBETWEEN.NV(A1;30) returns a non-volatile integer between the value of cell A1 and 30. The function is recalculated when the contents of cell A1 change.

#### Technical information

This function is available since LibreOffice 7.0.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RANDBETWEEN.NV

## ROUND

Lakkoofsa gara lakkoofsa deesimaalii wayiitti siiqsa.

#### Syntax

ROUND(Number [; Count])

LakkoofsagaraLakkaa'umsa iddoo deesimaaliitti deebisa. Yoo Lakkaa'umsi haqame ykn zeeroo ta'e, faankishiniin gara intijarii dhihootti siiqsa. Yoo lakkaa'umsi negatiivii ta'e, faankishiniin gara 10, 100, 1000 kkf dhiyootti siiqsa.

Faankishiniin kun gara lakkoofsa itti dhiyootti siiqfama.Filannoodhaaf ROUNDDOWN fi ROUNDUP ilaala.

#### Example

=ROUND(2.348;2) 2.35 deebisa

=ROUND(-32.4834;3) -32.483 deebisa. Deesimaalii hundaa ilaaluuf dhangii man'ee jijjiira.

=ROUND(2.348;0) 2 deebisa.

=ROUND(2.5) 3 deebisa.

=ROUND(987.65;-2)1000 deebisa.

## ROUNDDOWN

Truncates a number while keeping a specified number of decimal digits.

## ROUNDUP

Lakkoofsa ol, zeeroo irraa, sirrummaa wayiitti.

#### Syntax

ROUNDUP(Number [; Count])

Lakkoofsa iddoo deesimaalii Lakkaa'uuf gara oliitti siiqfame(zeeroo irraa) deebisa. Yoo lakkaa'umsi haqame ykn zeeroo ta'e,faankishiniin gara intijariitti ol siiqa. Yoo lakkaa'umsi negatiivii ta'e,faankishiniin gara 10, 100, 1000, kkf dhiyootti ol siiqfama.

Faankishiniin kun zeeroo irraa siiqfama. Filannoodhaaf ROUNDDOWN fi ROUND ilaalaa.

#### Example

=ROUNDUP(1.1111;2) 1.12 deebisa.

=ROUNDUP(1.2345;1) 1.3 deebisa.

=ROUNDUP(45.67;0) 46 deebisa.

=ROUNDUP(-45.67) -46 deebisa.

=ROUNDUP(987.65;-2) 1000 deebisa.

## SEC

Returns the secant of the given angle (in radians). The secant of an angle is equivalent to 1 divided by the cosine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

SIN(Number)

sine tiriignoomeetiriilakkoofsaa,kofa raadiyaanidhaan deebisa.

Sine kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

#### Example

=SEC(PI()/4) returns approximately 1.4142135624, the inverse of the cosine of PI/4 radians.

=COS(RADIANS(60)) cosine diigrii 60,0.5 deebisa.

## SECH

Sine haayiperpoolikii lakkoofsaa deebisa.

This function is available since LibreOffice 3.5.

#### Syntax

SINH(Lakkoofsa)

Sine haayperpoolikii lakkoofsaadeebisa.

#### Example

=SINH(0) Sine haayiperpoolikii 0,0 deebisa.

## SERIESSUM

Jechayyaa jalqabaa kan poower siiriyeesii ida'a.

SERIESSUM(x;n;m;c) = c1xn + c2xn+m + c3xn+2m + ... + cixn + (i-1)m.

#### Syntax

SERIESSUM(X; N; M; koofishentoota)

X gatii naqaa poowor siiriyeesiti.

N poowerii jalqabaati

M dabala N dabaluu dha

koofishentootni siiriyeesii koofishentootaati.

#### Example

=SERIESSUM(A1; 0; 1; {1; 2; 3}) calculates the value of 1+2x+3x2, where x is the value in cell A1. If A1 contains 1, the formula returns 6; if A1 contains 2, the formula returns 17; if A1 contains 3, the formula returns 34; and so on.

Refer to the SERIESSUM wiki page for more details about this function.

## SIGN

Mallattoo lakkoofsa deebisa. Yoo lakkoofsi positiivii ta'e 1 deebisa, yoo negatiivii -1 deebisa fi yoo zero ta'e 0 deebisa.

#### Syntax

SIGN(Lakkoofsa)

Lakkoofsi lakkoofsa mallattoon isaa murtaa'edha.

#### Example

=SIGN(3.4) 1 deebisa.

=SIGN(-4.5) -1 deebisa.

## SIN

sine kofa (raadiyaanidhaan) kennamee deebisa.

#### Syntax

SIN(Number)

sine tiriignoomeetiriilakkoofsaa,kofa raadiyaanidhaan deebisa.

Sine kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

#### Example

=SIN(PI()/2) 1 deebisa,sine PI/2 raadiyaanidhaani.

=SIN(RADIANS(30)) sine diigrii 60, 0.5 deebisa.

## SINH

Sine haayiperpoolikii lakkoofsaa deebisa.

#### Syntax

SINH(Lakkoofsa)

Sine haayperpoolikii lakkoofsaadeebisa.

#### Example

=SINH(0) Sine haayiperpoolikii 0,0 deebisa.

## SQRT

Iskuweer ruuttii positiivii kan lakkoofsaa deebisa.

#### Syntax

SQRT(Lakkoofsa)

Iskuweer ruuttii posotiiviiLakkoofsaadeebisa.

Lakkoofsi dirqama positiivii ta'uu qaba

#### Example

=SQRT(16) 4 deebisa.

=SQRT(-16) dogogora qoccolloo hin fayyadne deebisa.

## SQRTPI

Iskuwer ruuttii kan(PI lakkoofsaa) deebisa.

#### Syntax

SQRTPI(Lakkoofsa)

Iskuwer ruuttii posotiivii ta'e kan ( PI Lakkoofsaan/baay'ate) deebisa.

Kuni SQRT(PI()*Number) kana waliin walgita.

#### Example

=SQRTPI(2) iskuweer ruuttii kan (2PI), tilmaamaan 2.506628 deebisa.

## SUBTOTAL

Walakkeessaa hundaa shallaguu. Yoo hammangaan dursee walakkeessa hundaa ofkeessaa qabaate, shallaggii biraatiif hin fayyadan. Galmee calalame gara kontootti qofa fudhachuuf faankishinii kana ofmaacalallii wajjin fayyadami.

#### Syntax

SUBTOTAL(Faankishinii; Hammangaa)

Faankishiniin lakkoofsa faankishinoota armaan gadii keessaa tokkoof dhaabbatuudha.

Kasaa faankishinii (includes hidden values) | Function index (ignores hidden values) | Fankishinii
--- | --- | ---
1 | 101 | AVERAGE
2 | 102 | COUNT
3 | 103 | COUNTA
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUCT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUM
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Hammangaan hammangaa man'eewwan itti dabalameedha.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students. Row 2 (Pen) is manually hidden. You want to see the sum of the figures that are displayed; that is, just the subtotal for the filtered rows. In this case the correct formula would be:

| A | B
--- | --- | ---
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## SUMIF

Adds the cells specified by a given criterion. This function is used to sum a range when you search for a certain value.

The search supports wildcards or regular expressions. With regular expressions enabled, you can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must either precede every regular expression metacharacter or operator with a "\" character, or enclose the text into \Q...\E. You can switch the automatic evaluation of wildcards or regular expression on and off in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

When using functions where one or more arguments are search criteria strings that represents a regular expression, the first attempt is to convert the string criteria to numbers. For example, ".0" will convert to 0.0 and so on. If successful, the match will not be a regular expression match but a numeric match. However, when switching to a locale where the decimal separator is not the dot makes the regular expression conversion work. To force the evaluation of the regular expression instead of a numeric expression, use some expression that can not be misread as numeric, such as ".[0]" or ".\0" or "(?i).0".

#### Syntax

SUMIF(Range; Criterion [; SumRange])

Range is the range to which the criterion is to be applied.

Criterion: A criterion is a single cell Reference, Number or Text. It is used in comparisons with cell contents.

A reference to an empty cell is interpreted as the numeric value 0.

A matching expression can be:

- A Number or Logical value. A matching cell content equals the Number or Logical value.

- A value beginning with a comparator (<, <=, =, >, >=, <>).

  For =, if the value is empty it matches empty cells.

  For <>, if the value is empty it matches non-empty cells.

  For <>, if the value is not empty it matches any cell content except the value, including empty cells.

  Note: "=0" does not match empty cells.

  For = and <>, if the value is not empty and can not be interpreted as a Number type or one of its subtypes and the property Search criteria = and <> must apply to whole cells is checked, comparison is against the entire cell contents, if unchecked, comparison is against any subpart of the field that matches the criteria. For = and <>, if the value is not empty and can not be interpreted as a Number type or one of its subtypes applies.

- Other Text value. If the property Search criteria = and <> must apply to whole cells is true, the comparison is against the entire cell contents, if false, comparison is against any subpart of the field that matches the criteria. The expression can contain text, numbers, regular expressions or wildcards (if enabled in calculation options).

Hammangaanida'amaa hammangaa kan gatiin irraa ida'amuudha. Yoo jijjiiramaan kun mul'achuu baate, gatiin hammangaa keessatti argame ni ida'ama.

SUMIF supports the reference concatenation operator (~) only in the Range parameter, and only if the optional SumRange parameter is not given.

#### Example

Lakkoofsota negatiivii qofa ida'uuf: =SUMIF(A1:A10;"<0")

=SUMIF(A1:A10;">0";B1:B10) - sums values from the range B1:B10 only if the corresponding values in the range A1:A10 are >0.

COUNTIF() caasima waa xiqqoo caaluuf fakkeenyaaf kan SUMIF() waliin fayyadame ilaali.

## SUMSQ

Calculates the sum of the squares of a set of numbers.

#### Syntax

SUMSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1, Number 2, … , Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 arguments, 29 is returned as the result.

## TAN

Tangent kofa(raadiyaanidhaab)kenname deebisa.

#### Syntax

TAN(Lakkoofsa)

Tangent Lakkoofsaa deebisa, kofti raadiyaanidhaani.

Tangent kofaa diigriidhaan deebisuuf,faankishinii RADIAN fayyadamaa.

#### Example

=TAN(PI()/4) tangent kan raadiyaanii PI/4,1 deebisa

=TAN(RADIANS(45)) tangent diigrii 45, 1 deebisa.

## TANH

Tangent haayperpoolikii lakkoofsaa deebisa.

#### Syntax

TANH(Lakkoofsa)

Tangent haayiperpoolikii Lakkoofsaa deebisa.

#### Example

=TANH(0) tangent haayperpoolikii 0, 0 deebisa.

## TRUNC

Truncates a number while keeping a specified number of decimal digits.

Matadureewwan Walfakkatan

Functions by Category